Loading...
Searching...
No Matches
iterative-inl.h File Reference

Iterative methods, template implementation. More...

Go to the source code of this file.

## Classes

struct | gtsam::CGState< S, V, E >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

template<class S, class V, class E>
V | gtsam::conjugateGradients (const S &Ab, V x, const ConjugateGradientParameters &parameters, bool steepest=false)
| Method of conjugate gradients (CG) template "System" class S needs gradient(S,v), e=S*v, v=S^e "Vector" class V needs dot(v,v), -v, v+v, s*v "Vector" class E needs dot(v,v).

## Detailed Description

Iterative methods, template implementation.

Author
  Frank Dellaert

Date
  Dec 28, 2009